#include<bits/stdc++.h>
#define int long long
using namespace std;
void gogo() {
    int n, m;
    cin >> n >> m;
    int a[m + 1];
    for (int i = 1; i <= m; i++) {
        cin >> a[i];
    }
    int cnt = 0;
    for (int i = 1; i <= m; i++) {
        cnt++;
        if (cnt > n) {
            cnt -= 2;
        }
    }
    cout << a[m] * cnt << endl;
}
main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int t = 1;
    cin >> t;
    while (t--) {
        gogo();
    }
}
//0 58 0 21